Mailinglist Archive: opensuse-buildservice (262 mails)

< Previous Next >
Re: [opensuse-buildservice] Install OBS in CentOS -- "Webclient Error: Unable to connect to API"
  • From: Jian Lee <lijian.gnu@xxxxxxxxx>
  • Date: Wed, 26 Aug 2009 09:33:20 +0800
  • Message-id: <vdkb2wbj.fsf@xxxxxxxxx>
Hi, Adrian

Thanks for your help, I'll try setup it from svn repository.

---------------------------------
# svn log|head
------------------------------------------------------------------------
r7942 | AdrianSuSE | 2009-08-24 21:32:37 +0800 (一, 24 8月 2009) | 2 lines

fix copy&paste error

------------------------------------------------------------------------
r7941 | AdrianSuSE | 2009-08-24 21:30:14 +0800 (一, 24 8月 2009) | 2 lines

validate if the target package exists on change_devel request creation.
=======================================================================


Adrian Schröter <adrian@xxxxxxx> writes:

Am Dienstag, 25. August 2009 11:47:25 schrieb Jian Lee:
Hi, your guys!

I want install obs on CentOS 5, after I build
obs-server-0.9.1-4.1.src.rpm, and installed

-------------------------
# rpm -qa|grep obs
obs-worker-0.9.1-4.1
obs-api-0.9.1-4.1
obs-server-0.9.1-4.1
=========================

follow the cache page on google
http://203.208.39.132/search?q=cache:Dm1eKDTlDg4J:https://forgesvn1.novell.
com/svn/opensuse/trunk/buildservice/dist/README.SETUP+/srv/www/obs/webclien
t&cd=1&hl=zh-CN&ct=clnk&gl=cn&st_usg=ALhdy2-CIRL7BuSdU0Mm0wjPK0gG3mcGUA

and install guide on
http://en.opensuse.org/Build_Service/Build_Service_Installation_Tutorial/Ce
ntOS

use the default configure but just modified the ip interface and
username/password of mysql database , and create the needed empty
database in mysql server .

but when i login the web interface, i get following errors:

---------------------------
OpenSUSE Webclient Error:

Error Details:
Errorcode: 500
Message: Unable to connect to API
===========================

no useful info I found in /srv/obs/log/ and /var/log/lighttpd/, anyone
can give me a help?

Thanks for all your guys!

Hm, 0.9 is really quite old. Unfortunatly 1.6 is not building since, the
rails
stack is currently not building for CentOS.

it would be great if someone with RH knowledge would have a look at the
packages in openSUSE:Tools project and could fix them.

If you need support, please come to our irc channel.

bye
adrian

--

Jian Lee
MSN : lijian.gnu@xxxxxxxxx
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >